//
//  ViewController.swift
//  IOS04_SnapKit相对布局
//
//  Created by lee on 2017/12/24.
//  Copyright © 2017年 物联网入门视频教程-IOS部分. All rights reserved.
//

import UIKit
import SnapKit

class ViewController: UIViewController {

    var imgTop: UIImageView!
    var txtUserName: UITextField!
    var txtPassWord: UITextField!
    var imgUserName: UIImageView!
    var imgPassWord: UIImageView!
    var btnLogIn: UIButton!
    var btnCancel: UIButton!
    var emptyView: UIView!
    var labRegister: UILabel!
    var labQuestion: UILabel!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        //设置顶部图片
        imgTop = UIImageView()
        
        //加载图片
        imgTop.image = UIImage(named: "touxiang1.png")
        
        //设置填充方式
        imgTop.contentMode = UIViewContentMode.scaleAspectFit
        
        view.addSubview(imgTop)
        
        //SnapKit相对布局
        imgTop.snp.makeConstraints { (make) in
            make.top.equalTo(view.snp.top).offset(100)
            make.centerX.equalTo(view.snp.centerX)
            make.width.equalTo(100)
            make.height.equalTo(100)
            
        }
        
        
        //username对应的UITextField
        txtUserName = UITextField()
        
        txtUserName.placeholder = "username"
        
        txtUserName.borderStyle = UITextBorderStyle.line
        
        view.addSubview(txtUserName)
        
        txtUserName.snp.makeConstraints { (txtUserName) in
            txtUserName.top.equalTo(imgTop.snp.bottom).offset(30)
            txtUserName.right.equalTo(imgTop.snp.right).offset(50)
            txtUserName.left.equalTo(imgTop.snp.left).offset(-30)
            txtUserName.height.equalTo(30)
        }
        
        
        
        //userpassword对应的UITextField
        txtPassWord = UITextField()
        
        txtPassWord.placeholder = "password"
        
        txtPassWord.isSecureTextEntry = true
        
        txtPassWord.borderStyle = UITextBorderStyle.line
        
        view.addSubview(txtPassWord)
        
        txtPassWord.snp.makeConstraints { (txtPd) in
            txtPd.top.equalTo(txtUserName.snp.bottom).offset(20)
            txtPd.left.equalTo(txtUserName.snp.left)
            txtPd.right.equalTo(txtUserName.snp.right)
            txtPd.height.equalTo(txtUserName.snp.height)
        }
        
        //username对应的图片
        imgUserName = UIImageView()
        
        imgUserName.image = UIImage(named: "touxiang2.png")
        imgUserName.contentMode = UIViewContentMode.scaleAspectFit
        view.addSubview(imgUserName)
        
        imgUserName.snp.makeConstraints { (imgUN) in
            imgUN.top.equalTo(txtUserName.snp.top)
            imgUN.bottom.equalTo(txtUserName.snp.bottom)
            imgUN.right.equalTo(txtUserName.snp.left).offset(-10)
            imgUN.width.equalTo(imgUserName.snp.height)
        }
        
        //password对应的图片
        imgPassWord = UIImageView()
        imgPassWord.image = UIImage(named: "mima.png")
        imgPassWord.contentMode = UIViewContentMode.scaleAspectFit
        view.addSubview(imgPassWord)
        
        imgPassWord.snp.makeConstraints { (imgPD) in
            imgPD.top.equalTo(txtPassWord.snp.top)
            imgPD.bottom.equalTo(txtPassWord.snp.bottom)
            imgPD.left.equalTo(imgUserName.snp.left)
            imgPD.right.equalTo(imgUserName.snp.right)
        }
        
        
        //登录按钮
        btnLogIn = UIButton()
        btnLogIn.backgroundColor = UIColor.gray
        btnLogIn.setTitle("登录", for: UIControlState.normal)
        view.addSubview(btnLogIn)
        
        btnLogIn.snp.makeConstraints { (btnLogIn) in
            btnLogIn.top.equalTo(txtPassWord.snp.bottom).offset(30)
            btnLogIn.height.equalTo(txtPassWord.snp.height)
            btnLogIn.left.equalTo(imgPassWord.snp.right)
            btnLogIn.right.equalTo(self.view.snp.centerX).offset(-5)
        }
        
        
        //取消按钮
        btnCancel = UIButton()
        btnCancel.backgroundColor = UIColor.gray
        btnCancel.setTitle("取消", for: UIControlState.normal)
        view.addSubview(btnCancel)
        
        btnCancel.snp.makeConstraints { (btnC) in
            btnC.top.equalTo(btnLogIn.snp.top)
            btnC.bottom.equalTo(btnLogIn.snp.bottom)
            btnC.left.equalTo(self.view.snp.centerX).offset(5)
            btnC.right.equalTo(txtPassWord.snp.right).offset(-10)
        }
        
        //分割线
        emptyView = UIView()
        emptyView.backgroundColor = UIColor.green
        view.addSubview(emptyView)
        
        emptyView.snp.makeConstraints { (emV) in
            emV.centerX.equalTo(view.snp.centerX)
            emV.top.equalTo(btnCancel.snp.bottom).offset(30)
            emV.height.equalTo(txtUserName)
            emV.width.equalTo(2)
        }
        
        //注册对应的UILable
        labRegister = UILabel()
        labRegister.text = "注册"
        labRegister.textColor = UIColor.green
        //设置文字右对齐
        labRegister.textAlignment = NSTextAlignment.right
        view.addSubview(labRegister)
        
        labRegister.snp.makeConstraints { (labR) in
            labR.right.equalTo(emptyView.snp.left).offset(-15)
            labR.top.equalTo(emptyView.snp.top).offset(2)
            labR.bottom.equalTo(emptyView.snp.bottom).offset(-2)
            labR.width.equalTo(50)
        }
        
        //遇到问题对应的UILable
        labQuestion = UILabel()
        labQuestion.text = "遇到问题"
        labQuestion.textColor = UIColor.green
        view.addSubview(labQuestion)
        
        labQuestion.snp.makeConstraints { (labQ) in
            labQ.top.equalTo(labRegister.snp.top)
            labQ.bottom.equalTo(labRegister.snp.bottom)
            labQ.left.equalTo(emptyView.snp.right).offset(15)
            labQ.width.equalTo(txtUserName.snp.width)
        }
        
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

